function [sTime,figHdl] = airseatRunSim(mdl, seatOrder, figHdl, numRows, numSeatsPerRow)
% AIRSEATRUNSIM Run the simulation after setting up visualization
%
%

    close(figHdl);
    simevents.disconnectObserver();
    animator = airseatViz(numRows, numSeatsPerRow);
    simevents.connectObserver(mdl,animator);
    
    assignin('base', 'seatOrder', seatOrder);
    sim(mdl);

    sTime = evalin('base', 'asLastSeatingTime');
    figHdl = animator.getFigure();
end
